O-candica2_opt.jpg=Candica var minoa.\
This has 2 small rounded & near pointed basal swellings.\

O.-candica-var-minoa_opt.jpg=Candica var minoa.\
These basal swellings are sometimes elongated on the inner face.\

